% tests many goals for one variable
% just tests delaying time, but not wakeup time
% carlssons implementation should be slow on this one

top:-
	read(N,[]),
	cputime(T0),
	r(N,X),
	cputime(T1),
	Time is T1-T0,
	write((time=Time,r(N,X))),nl.

p(0,[]).
p(N,[N|T]):-N1 is N-1, p(N1,T).

delay q(ground).
q(X).

r(0,_).
r(N,X):- N>0, q(X), N1 is N-1, r(N1,X).