%one predicate waiting for its argument to get ground
%its argument is successively instantiated with a long list, so
% it has to check for ground over and over again
%if the checking code does not check the argument but the instantiated
% variable, it will be a lot faster on this benchmark

top:-
	read(N,[]),
	cputime(T0),
	q(L),
	p(N,L),
	cputime(T1),
	Time is T1-T0,
	write((time=Time,p(N,L))),nl.

p(0,[]).
p(N,[N|T]):-N1 is N-1, p(N1,T).

delay q(ground).
q(X).
